TikTok · 内容详情

发现页视频

传入搜索关键词,返回 TikTok 发现页中的视频,含播放、点赞、评论、分享数、文案、话题标签和作者。

POST/v1/tiktok/explore

$0.001每条

1,000 条
≈ $1.00
每页(10 条)最低
$0.00375

可用试用额度能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/tiktok/explore" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"keywords":["food"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "video",
      "videoId": "7698213016759749901",
      "url": "https://www.tiktok.com/@j***675974990…",
      "description": "that's on producing 100oz a day 🤪🍼…",
      "hashtags": [
        "exclusivelypumping",
        "pumpingmom",
        "tripletmom"
      ],
      "createdAt": "2026-10-19T03:18:31Z",
      "durationSeconds": 32,
      "playCount": 184400,
      "likeCount": 4683,
      "commentCount": 62,
      "shareCount": 112,
      "collectCount": 174,
      "downloadCount": null,
      "authorHandle": "<masked>",
      "authorName": "<masked>",
      "authorFollowerCount": 57400,
      "authorVerified": "<masked>",
      "authorId": "<masked>",
      "authorSecUid": "<masked>",
      "authorAvatarUrl": "<masked>",
      "authorBio": "<masked>",
      "authorRegion": null,
      "musicTitle": "cooler than me by mike posner sped up",
      "musicAuthor": "<masked>",
      "coverUrl": "https://p19-common-sign.tiktokcdn-us.…",
      "videoUrl": "https://v16-webapp-prime.us.tiktok.co…",
      "textLanguage": "en",
      "isPinned": null,
      "isSlideshow": false,
      "mentions": [],
      "width": 720,
      "height": 1280,
      "musicId": "7245202730925460266",
      "musicOriginal": true,
      "authorFollowingCount": 69,
      "isPaidContent": null,
      "isAd": false,
      "exploreCategory": "food"
    },
    {
      "type": "video",
      "videoId": "7696465462581939486",
      "url": "https://www.tiktok.com/@d***939486",
      "description": "Jalen Feeds Patrick 🤤 #jalenhurts  #…",
      "hashtags": [
        "jalenhurts",
        "patrickmahomes",
        "eagles"
      ],
      "createdAt": "2026-10-14T10:17:02Z",
      "durationSeconds": 29,
      "playCount": 180600,
      "likeCount": 10500,
      "commentCount": 629,
      "shareCount": 8877,
      "collectCount": 1306,
      "downloadCount": null,
      "authorHandle": "<masked>",
      "authorName": "<masked>",
      "authorFollowerCount": 7552,
      "authorVerified": "<masked>",
      "authorId": "<masked>",
      "authorSecUid": "<masked>",
      "authorAvatarUrl": "<masked>",
      "authorBio": null,
      "authorRegion": null,
      "musicTitle": "original sound",
      "musicAuthor": "<masked>",
      "coverUrl": "https://p19-common-sign.tiktokcdn-us.…",
      "videoUrl": "https://v16-webapp-prime.us.tiktok.co…",
      "textLanguage": "en",
      "isPinned": null,
      "isSlideshow": false,
      "mentions": [],
      "width": 720,
      "height": 1280,
      "musicId": "7696465504713657118",
      "musicOriginal": true,
      "authorFollowingCount": 87,
      "isPaidContent": null,
      "isAd": false,
      "exploreCategory": "food"
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.003750",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 38

字段类型示例值
typestringvideo
videoIdstring7698213016759749901
urlstringhttps://www.tiktok.com/@j***6759749901
descriptionstringthat's on producing 100oz a day 🤪🍼🫶🏻 #exclusivelypumping #pu…
hashtagsarray["exclusivelypumping","pumpingmom","tripletmom"]
createdAtstring2026-10-19T03:18:31Z
durationSecondsnumber32
playCountnumber184400
likeCountnumber4683
commentCountnumber62
shareCountnumber112
collectCountnumber174
downloadCountnullnull
authorHandlestring<masked>
authorNamestring<masked>
authorFollowerCountnumber57400
authorVerifiedstring<masked>
authorIdstring<masked>
authorSecUidstring<masked>
authorAvatarUrlstring<masked>
authorBiostring<masked>
authorRegionnullnull
musicTitlestringcooler than me by mike posner sped up
musicAuthorstring<masked>
coverUrlstringhttps://p19-common-sign.tiktokcdn-us.com/tos-useast5-p-0068-…
videoUrlstringhttps://v16-webapp-prime.us.tiktok.com/video/tos/useast5/tos…
textLanguagestringen
isPinnednullnull
isSlideshowbooleanfalse
mentionsarray[]
widthnumber720
heightnumber1280
musicIdstring7245202730925460266
musicOriginalbooleantrue
authorFollowingCountnumber69
isPaidContentnullnull
isAdbooleanfalse
exploreCategorystringfood

参数 2

参数名类型必填说明示例
limitinteger否返回多少条记录,1 到 100。一次请求返回的条数不会超过这个数。5
keywordsarray是搜索关键词;每个关键词单独搜索(或单独查询联想词)。为空时使用示例关键词(skincare。["food"]

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"keywords":["food"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/tiktok/explore", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 10 条,每页最低收费 $0.00375;要 100 条的请求会取 10 页。

  • 1 条:最多 $0.00375
  • 20 条:最多 $0.02
  • 100 条:最多 $0.10

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「发现页视频」要传哪些参数?

必填:keywords。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 简要记录 $0.001。每页最低收费 $0.00375:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.10。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。